/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "${_btn_iniciar}", "click", function(sym, e) {
         // introducir aquí código para clic de ratón
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getSymbol("ejercicio").play(1);
         

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'flecha_bt'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("flecha_bt");
   //Edge symbol end:'flecha_bt'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.getComposition().getStage().$(soundId)[0].volume=0.7;
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================
   
   //Edge symbol: 'girl'
   (function(symbolName) {   
   
   })("girl");
   //Edge symbol end:'girl'

   //=========================================================
   
   //Edge symbol: 'girl_body'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7195, function(sym, e) {
         sym.play("body");

      });
      //Edge binding end

   })("girl_body");
   //Edge symbol end:'girl_body'

   //=========================================================
   
   //Edge symbol: 'girl_head'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 7395, function(sym, e) {
         sym.play("head");

      });
      //Edge binding end

   })("girl_head");
   //Edge symbol end:'girl_head'

   //=========================================================
   
   //Edge symbol: 'ejercicio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 8468, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_1}", "click", function(sym, e) {
         sym.getComposition().getStage().$("pop_1").show();
         sym.getComposition().getStage().getSymbol("pop_1").play(1);
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("ejercicio").hide();
         sym.getComposition().getStage().$("descripcion").hide();
         sym.getComposition().getStage().$("btn_iniciar").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_2}", "click", function(sym, e) {
         sym.getComposition().getStage().$("pop_2").show();
         sym.getComposition().getStage().getSymbol("pop_2").play(1);
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("ejercicio").hide();
         sym.getComposition().getStage().$("descripcion").hide();
         sym.getComposition().getStage().$("btn_iniciar").hide();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_button_3}", "click", function(sym, e) {
         sym.getComposition().getStage().$("pop_3").show();
         sym.getComposition().getStage().getSymbol("pop_3").play(1);
         
         // Ocultar un elemento 
         sym.getComposition().getStage().$("ejercicio").hide();
         sym.getComposition().getStage().$("descripcion").hide();
         sym.getComposition().getStage().$("btn_iniciar").hide();

      });
      //Edge binding end

   })("ejercicio");
   //Edge symbol end:'ejercicio'

   //=========================================================
   
   //Edge symbol: 'pop_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("descripcion").show();
         sym.getComposition().getStage().$("btn_iniciar").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().$("pop_1").fadeOut("slow");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("descripcion").show();
         sym.getComposition().getStage().$("ejercicio").show();
         sym.getComposition().getStage().$("btn_iniciar").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_info}", "click", function(sym, e) {
         // Definir un conmutador para ocultar o mostrar un elemento 
         if (sym.getComposition().getStage().getSymbol("pop_1").$("text_info_1").is(":visible")) {
         	sym.getComposition().getStage().getSymbol("pop_1").$("text_info_1").fadeOut("slow");
         } else {
         	sym.getComposition().getStage().getSymbol("pop_1").$("text_info_1").fadeIn("slow");
         }

      });
      //Edge binding end

   })("pop_1");
   //Edge symbol end:'pop_1'

   //=========================================================
   
   //Edge symbol: 'bt_info_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_1}", "click", function(sym, e) {
         sym.stop("down");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").$("pop_info").show();
         sym.getComposition().getStage().getSymbol("slide_2").getSymbol("contenido2").getSymbol("pop_info").play("inicio");

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_hot_spot_2}", "click", function(sym, e) {
         sym.stop("up");
         

      });
      //Edge binding end

   })("bt_cerrar");
   //Edge symbol end:'bt_cerrar'

   //=========================================================
   
   //Edge symbol: 'pop_2'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("descripcion").show();
         sym.getComposition().getStage().$("btn_iniciar").show();
         

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().$("pop_2").fadeOut("slow");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("descripcion").show();
         sym.getComposition().getStage().$("ejercicio").show();
         sym.getComposition().getStage().$("btn_iniciar").show();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_info}", "click", function(sym, e) {
         // Definir un conmutador para ocultar o mostrar un elemento 
         if (sym.getComposition().getStage().getSymbol("pop_2").$("text_info_2").is(":visible")) {
         	sym.getComposition().getStage().getSymbol("pop_2").$("text_info_2").fadeOut("slow");
         } else {
         	sym.getComposition().getStage().getSymbol("pop_2").$("text_info_2").fadeIn("slow");
         }

      });
      //Edge binding end

   })("pop_2");
   //Edge symbol end:'pop_2'

   //=========================================================
   
   //Edge symbol: 'pop_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();
         
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("descripcion").show();
         sym.getComposition().getStage().$("btn_iniciar").show();
         

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_bt_cerrar}", "click", function(sym, e) {
         sym.getComposition().getStage().$("pop_3").fadeOut("slow");
         
         // Mostrar un elemento 
         sym.getComposition().getStage().$("descripcion").show();
         sym.getComposition().getStage().$("ejercicio").show();
         sym.getComposition().getStage().$("btn_iniciar").show();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_btn_info}", "click", function(sym, e) {
         // Definir un conmutador para ocultar o mostrar un elemento 
         if (sym.getComposition().getStage().getSymbol("pop_3").$("text_info_3").is(":visible")) {
         	sym.getComposition().getStage().getSymbol("pop_3").$("text_info_3").fadeOut("slow");
         } else {
         	sym.getComposition().getStage().getSymbol("pop_3").$("text_info_3").fadeIn("slow");
         }

      });
         //Edge binding end

      })("pop_3");
   //Edge symbol end:'pop_3'

})(jQuery, AdobeEdge, "EDGE-94063035");